package banco;

import conta.Conta;

public class Arvore {
  private Conta		conta;
  private Arvore	esq, dir;

  public void insere(Conta c) {
    if (conta == null) {
      conta = c;
      esq = new Arvore();
      dir = new Arvore(); }
    else {
        if (conta.getNumero().compareTo(c.getNumero()) < 0) {
          dir.insere(c);
        } else {
            esq.insere(c);
        }
    }
  }

  public Conta busca(String num) {
    Conta	res;

    if (conta == null)
      res = null;
    else if (conta.getNumero().equals(num))
           res = conta;
         else {if (conta.getNumero().compareTo(num) < 0)
                 res = dir.busca(num);
               else res = esq.busca(num); }
    return res;
  }

  public int num_elementos() {
      if (conta == null)
        return 0;
      else return (1 + esq.num_elementos() + dir.num_elementos());
  }

  public double soma() {
      if (conta == null)
        return 0.0;
      else return (conta.getSaldo() + esq.soma() + dir.soma());
  }
}
