package banco;

import conta.Conta;
import conta.SIException;

public class BancoArvore {
  private Arvore	contas = new Arvore();

  public void cadastro(Conta c) throws CEException {
    if (contas.busca(c.getNumero()) != null) {
        throw new CEException(c.getNumero());
    }
    contas.insere(c);
  }

  public void debito(String num, double val)  throws CNEException, SIException {
    Conta	c;

    c = contas.busca(num);
    if (c == null) System.out.println("A conta " + num + " nao existe!");
    else c.debitar(val);
  }

  public double saldoTotal() {
    return contas.soma();
  }

  public int numClientes() {
    return contas.num_elementos();
  }
}
