/*
 * Copyright (c) 1997-1999 Departamento de Informtica - UFPE
 */
package banco;

import conta.Conta;
import conta.SIException;

/**
 * Esta interface modela o comportamento comum de bancos, com suas contas e as
 * operaes sobre elas.
 */
public interface QualquerBanco {

    /**
     * Cadastra uma conta no banco.
     */
    public void cadastro(Conta c) throws CEException;

    /**
     * Debita o valor especificado na conta de nmero indicado.
     */
    public void debito(long num, double val) throws CNEException, SIException;

    /**
     * Retorna a soma dos saldos de todas as contas do banco.
     */
    public double saldoTotal();

    /**
     * Retorna o nmero de clientes do banco.
     */
    public int numClientes();

    /* . . . */

}