/*
 * Tipo: Conta
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package conta;


/**
* Conta modela uma conta normal de um banco.
*
*/
public class Conta {

    protected String numero; // O nmero da conta
    protected double saldo; // O saldo da conta

    /**
     * Construtor da classe.
     *
     * @param numero    nmero da conta
     *
     */
    public Conta(String numero) {
        this.numero = numero;
        saldo = 0;
    }

    /**
     * Construtor da classe.
     *
     * @param numero    nmero da conta
     * @param saldo     saldo inicial da conta
     *
     */
    public Conta(String numero, double saldo) {
        this.numero = numero;
        this.saldo = saldo;
    }

    /**
     * Este mtodo retorna o nmero da conta.
     *
     * @return        Numero da conta
     *
     */
    public String getNumero() {
        return numero;
    }

    /**
     * Este mtodo retorna o saldo da conta.
     *
     * @return        Saldo da conta
     *
     */
    public double getSaldo() {
        return saldo;
    }

    /**
     * Este mtodo credita um valor ao saldo da conta.
     *
     * @param valor    Valor a ser creditado
     *
     */
    public void creditar(double valor) {
        saldo = saldo + valor;
    }

    /**
     * Este mtodo debita um valor ao saldo da conta.
     *
     * @param valor    Valor a ser debitado
     *
     */
    public void debitar(double valor) throws SIException {
        if (saldo >= valor) {
            saldo = saldo - valor;
        } else {
            throw new SIException(saldo, numero);
        }
    }

}